Open topic with navigation

TIBCO ActiveMatrix® Service Grid - Container Edition 1.0.0

# SOAP Reference Binding Properties

When you configure a binding for a reference, you are prompted for information about the binding.

Field | Required? | Editable? | Description
--- | --- | --- | ---
Name | Y | Y | Name of the binding.
Type | Y | Y | Type of binding. Default: SOAP binding
Transport Type | Y | Y | Type of transport supported by the binding: HTTP or JMS.
SOAP Version | N | N | Version of the SOAP specification: 1.1 or 1.2
Enable Request Message Validation | Y | Y | Schema validations are enabled for the SOAP binding by using this field. The validations are enabled or disabled by selecting true or false values from the drop-down list respectively. The field can also be configured as substitution variables by selecting the SVAR option. Selecting the SVAR option enables a text box where you can enter the name of the substitution variable.
Enable Response Message Validation | Y | Y | Schema validations are enabled for the SOAP binding by using this field. The validations are enabled or disabled by selecting true or false values from the drop-down list respectively. The field can also be configured as substitution variable by selecting the Substitution Variable option in the drop-down list. Selecting the Substitution Variable option enables a text box where you can enter the name of the substitution variable.
HTTP
HTTP Client Configuration | Y | Y | The HTTP Client resource template represents an outgoing HTTP connection.
Enable WS-Addressing | N | Y | Indicates whether to enable the WS-Addressing headers. When selected, the Connector Name field is displayed.
Filespec or Endpoint URL | Y | Y | The endpoint URL. This field is populated from the SOAP address element of the WSDL port associated with the SOAP-HTTP reference binding. This value can be edited by typing the new value or by using the substitution variables picker to select a substitution variable that points to a valid endpoint URL value.
Override HTTP Client Timeout | N | Y | Select the check box to override HTTP Client connection timeout value. When the check box is selected, the Binding Socket Timeout field is enabled. Specify the new value in the Binding Socket Timeout field.
Binding Socket Timeout(ms) | N | Y | Defines the socket timeout (SO_TIMEOUT), which is the timeout for waiting for the data or a maximum period of inactivity between consecutive data packets. This must be changed when connecting to very slow external services. Default: 0 ms (that is, infinite timeout)
JMS
Binding Specification | Y | N | Binding specification supported: TIBCO or W3C SOAP-JMS. Default: TIBCO
JMS - Inbound
Acknowledge Mode | Y | N | Acknowledgment mode for incoming messages. Set to Auto, meaning that the message is automatically acknowledged when it is received.
Reply Destination | Y | Y | A JMS Destination specifies destination objects, which represent virtual channels (topics and queues) in JMS.
JMS-Outbound
JMS Connection Factory | Y | Y | A JMS Connection Factory resource.
JMS Destination | Y | Y | A JMS Destination specifies destination objects, which represent virtual channels (topics and queues) in JMS. Note: Only queues are supported for SOAP/JMS. Topics are not supported.
Delivery Mode | Y | Y | The delivery mode of messages: Persistent Messages are stored and forwarded. Non-Persistent Messages are not stored and may be lost due to failure. Default: Persistent
Message Priority | Y | Y | The priority of the message. Valid value range: 0-9 Higher numbers signify a higher priority (that is, 9 is a higher priority than 8). Default: 0
Message Expiration | N | Y | The time for which a message can remain active. Default: 0 (that is, the message does not expire)
Correlation Scheme | Y | Y | Scheme which identifies the correlation scheme used when sending reply messages. MessageID to CorrelationID: Message ID of the request message is copied to the Correlation ID of the response message. CorrelationID to CorrelationID: Correlation ID of the request message is copied to the Correlation ID of the response message. Default: MessageID to CorrelationID

Copyright © 2020-2021. TIBCO Software Inc. All Rights Reserved.